Bug 2045854 - organization context fails to change in web UI
Summary: organization context fails to change in web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.11.0
Assignee: Ondřej Ezr
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-25 19:49 UTC by Stephen Wadeley
Modified: 2022-07-05 14:32 UTC (History)
6 users (show)

Fixed In Version: foreman-3.1.1.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2055660 (view as bug list)
Environment:
Last Closed: 2022-07-05 14:32:22 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34416 0 Normal New Organization context fails to change in web UI 2022-02-08 19:09:15 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:32:30 UTC

Description Stephen Wadeley 2022-01-25 19:49:13 UTC
Description of problem:

On a Satellite with many test organizations created, I created an org "proxy-test", I tried a few times to select that org, but the web UI context menu keeps showing Any Organization


Version-Release number of selected component (if applicable):
Sat7 snap 6
7.0.0-6.0

How reproducible:
not sure


Steps to Reproduce:
1. On a Satellite with many orgs created by test automation
2. Create one org and try to select it in the web UI context menu


Actual results:
web UI context menu keeps showing Any Organization

Expected results:
web UI context menu shows org you select

Additional info:
I only created a proxy and loaded a manifest in the test org

Will attach production logs

Comment 2 Stephen Wadeley 2022-01-26 09:57:23 UTC
Hello

further testing shows that selecting any organization apart from the Default Org takes you to Any Organization. Selecting Default Org works as expected.

Comment 5 Ondřej Ezr 2022-02-08 19:09:14 UTC
Created redmine issue https://projects.theforeman.org/issues/34416 from this bug

Comment 13 Lukas Zapletal 2022-03-07 13:15:05 UTC
Guys, this bug is causing a discovery regression in 7.0:

https://bugzilla.redhat.com/show_bug.cgi?id=2058879

The current build of 7.0 is foreman-3.1.1.6 while the fix was fixed upstream in 3.1.2. So we need to backport this into 7.0

Comment 14 Lukas Zapletal 2022-03-07 13:17:52 UTC
The context is, in our case for some reason an organization was created without any title:

irb(main):004:0> Organization.unscoped.pluck(:id, :name, :label, :title)
=> [[1, "RedHat", "RedHat", "RedHat"], [3, "SCA", "SCA", nil]]

Editing the organization in the UI saving it again restores the title. I believe this has something to do with this patch.

Comment 15 Brad Buckingham 2022-03-08 13:56:37 UTC
Hi Lukas,

I have a couple of quick questions on comment 13.

Based upon the feedback, should this bugzilla be in the failedQA state?

For Satellite 7, we now in cherry-pick mode; therefore, we update to 3.1.2.  Do you happen to know what commit (or commits) needed to be cherry-picked to address the issue?  If so, can you associate the appropriate redmines to this bugzilla?

Thanks!

Comment 16 Lukas Zapletal 2022-03-08 14:01:41 UTC
I don't think there is anything wrong, from what we know (or think) the other BZ was tested on a snap that did not have this patch, then it was updates and organization was already created incorrectly (without title), then tests were performed and there was a misbehavior.

Sayan is currently trying again now with the latest snap, so there is nothing to do in here. Sorry for the confusion, I commented before we actually figured it out.

Comment 20 errata-xmlrpc 2022-07-05 14:32:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.